svn::Context Class Reference

`#include <context.hpp>`

## Public Member Functions

| Context (const std::string &configDir="")
| Context (const Context &src)
virtual | ~Context ()
void | setAuthCache (bool value)
void | setLogin (const char *username, const char *password)
| operator svn_client_ctx_t * ()
svn_client_ctx_t * | ctx ()
void | reset ()
void | setLogMessage (const char *msg)
const char * | getLogMessage () const
const char * | getUsername () const
const char * | getPassword () const
void | setListener (ContextListener *listener)
ContextListener * | getListener () const

## Detailed Description

This class will hold the client context and replace the old notification and baton stuff

## Constructor & Destructor Documentation

svn::Context::Context | ( | const std::string & | configDir = `""` | ) |

default constructor

Parameters

  configDir | location where the subversion api stores its configuration

svn::Context::Context | ( | const Context & | src | ) |

copy constructor

Parameters

  src |

virtual svn::Context::~Context | ( |  | ) |

virtual

destructor

## Member Function Documentation

svn_client_ctx_t* svn::Context::ctx | ( |  | ) |

return the svn_client_ctx object

ContextListener* svn::Context::getListener | ( |  | ) | const

get the listener

Returns
  the listener

const char* svn::Context::getLogMessage | ( |  | ) | const

get log message

Returns
  log message

const char* svn::Context::getPassword | ( |  | ) | const

get password

Returns
  password

const char* svn::Context::getUsername | ( |  | ) | const

get username

Returns
  username

svn::Context::operator svn_client_ctx_t * | ( |  | ) |

operator to get svn_client_ctx object

void svn::Context::reset | ( |  | ) |

this will be called at the beginning of an action. the log message will be reset.

void svn::Context::setAuthCache | ( | bool | value | ) |

enable/disable authentication caching

Parameters

  value | true=enable/false=disable

void svn::Context::setListener | ( | ContextListener * | listener | ) |

set the listener for the context. The listener will be called to poll authentication information and other information like this

Parameters

  listener |

void svn::Context::setLogin | ( | const char * | username,
|  | const char * | password
| ) |  |

set username/password for authentication

void svn::Context::setLogMessage | ( | const char * | msg | ) |

set log message

Parameters

  msg |

The documentation for this class was generated from the following file:

- context.hpp